ISXEQ2 - Bug #2122

EQ2UI - :DoubleLeftClick not working
2019-12-24 12:27 PM - Kannkor
Target version:
Description
In the Guild Hall, to the right is a fuel merchant named "Fuel <Guild Fuel Merchant>" we can use for testing.

This works on the buy or sell tab. I'll use the buy tab as an example, but they work the same.

If you double click an item, it will buy it.
Assuming you are using this exact same merchant, we can get the data for the first item like this:
echo ${Vendor.ltem[1].Name}

echo
${EQ2UIPage[_HUD,merchant].Child[page,_ HUD.merchant].Child[Page,2].Child[Page,6].Child[Text,281].GetProperty["localtext"]}

Both return "aerated mineral water"

EQ2UIPage[_HUD,merchant].Child[page,_ HUD.merchant].Child[Page,2].Child[Page,6].Child[Text,281]:LeftClick

Will highlight the item.

EQ2UIPage[ HUD,merchant].Child[page,_ HUD.merchant].Child[Page,2].Child[Page,6].Child[Text,281]:DoubleLeftClick
Also only highlights the item.

Doing a few rapid EQ2UIPage[ HUD,merchant].Child[page,_HUD.merchant].Child[Page,2].Child[Page,6].Child[Text,281]:LeftClick
also only highlights the item, never mimicing a double left click

This is from the other bug report, incase you need the icon example:

Found an example of doubleclicking

In the spell effects window (NOT the maintained window), if you double click on something in there, it opens something (usually
examines it, exception is if you have mail, it will open the mail window)

To test, have a buff on you. Double click on the icon in the spell window, it opens an examine.

Here is sample code to test/reach it.
echo ${EQ2UIPage[ HUD,effects].Child[page, HUD.effects].Child[VolumePage,1].Child[Icon,2]}

Below does nothing

EQ2UIPage[ HUD,effects].Child[page, HUD.effects].Child[VolumePage,1].Child[Icon,2]:DoubleLeftClick

History

#1 - 2019-12-24 01:07 PM - Kannkor

- File Overseer _DoubleLeftClick.PNG added

Here is the overseer window.

Under Quests (middle/right'ish side) you left click on one.

Then on the left (they are called agents, just under no filter) circled in red with a 1, you double click him, and his icon appears on the right, red circle
with a 2.

#2 - 2019-12-24 01:13 PM - Kannkor
EQ2UIPage[ HUD,minions].Child[page,_ HUD.minions].Child[Page,4].Child[Page,3].Child[Composite,1].Child[Page,2].Child[Icon,1]

That is the Ul code the first agent

The below will do a single left click on the first agent in the list.

EQ2UIPage[ HUD,minions].Child[page,_HUD.minions].Child[Page,4].Child[Page,3].Child[Composite,1].Child[Page,2]:LeftClick

Incase you want to click on the icon itself (this doesn't actually work, but just the Ul code for the Icon)
EQ2UIPage[ HUD,minions].Child[page,_HUD.minions].Child[Page,4].Child[Page,3].Child[Composite,1].Child[Page,2].Child[Icon,1]:LeftClick

#3 - 2019-12-24 01:17 PM - Kannkor

In order to access the overseer system, you need BoL expansion

Then in game type "/claim”
In the top drop down box, select "Blood of Luclin"

You should have something to claim with overseer in the name (I can't get a picture, since I've already claimed it on all my accounts).

Once claimed, look in your inventory, you should be able to right click and unpack/examine/add each item.
Once done, you can then open the overseer window via EQ2 button -> Overseer

Or by typing: /toggleoverseer

#4 - 2019-12-25 02:28 PM - Amadeus

- Status changed from New to Resolved

Fixed in 20191219.0007

(Note: You may need to :LeftClick before :DoubleLeftClick when a selection is necessary.)

Files

Overseer_DoubleLeftClick.PNG 392 KB 2019-12-24 Kannkor
